withinpca {ade4} | R Documentation

## Normed within principal component analysis

### Description

Performs a normed within Principal Component Analysis.

### Usage

    withinpca(df, fac, scaling = c("partial", "total"),
        scannf = TRUE, nf = 2)

### Arguments

`df` | a data frame with quantitative variables
`fac` | a factor partitioning the rows of df in classes
`scaling` | a string of characters as a scaling option : if "partial", the sub-table corresponding to each class is centred and normed. If "total", the sub-table corresponding to each class is centred and the total table is then normed.
`scannf` | a logical value indicating whether the eigenvalues bar plot should be displayed
`nf` | if scannf FALSE, an integer indicating the number of kept axes

### Details

This functions implements the 'Bouroche' standardization. In a first step, the original variables are standardized (centred and normed). Then, a second transformation is applied according to the value of the `scaling` argument. For "partial", variables are standardized in each sub-table (corresponding to each level of the factor). Hence, variables have null mean and unit variance in each sub-table. For "total", variables are centred in each sub-table and then normed globally. Hence, variables have a null mean in each sub-table and a global variance equal to one.

### Value

returns a list of the sub-class `within` of class `dudi`. See `wca`

### Author(s)

Daniel Chessel
Anne-Béatrice Dufour anne-beatrice.dufour@univ-lyon1.fr

### References

Bouroche, J. M. (1975) Analyse des données ternaires: la double analyse en composantes principales. Thèse de 3ème cycle, Université de Paris VI.

### Examples

    data(meaudret)
    wit1 <- withinpca(meaudret$env, meaudret$design$season, scannf = FALSE, scaling = "partial")
    kta1 <- ktab.within(wit1, colnames = rep(c("S1", "S2", "S3", "S4", "S5"), 4))
    unclass(kta1)

    # See pta
    plot(wit1)

[Package ade4 version 1.7-13 Index]